#!/bin/ksh
##########################################################################
# Licensed Materials - Property of IBM
# 5724-T40 IBM License Metric Tool
# 5724-S94 IBM Tivoli Asset Discovery for Distributed
#
# (C) Copyright IBM Corp. 2005, 2009.  All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##########################################################################

OPTION=$1
AGT_BASE_DIR=$2

GSKIT_BKUP_DIR=$AGT_BASE_DIR'gskit_bk'
GSKIT_DIR=$AGT_BASE_DIR'gskit'

case $OPTION in
-s)
    # Bkup gskit dir
    test -d $GSKIT_BKUP_DIR
    if [ $? = 0 ]
    then
        rm -rf $GSKIT_BKUP_DIR/*
    fi
    test -d $GSKIT_DIR
    if [ $? = 0 ]
    then
        mv $GSKIT_DIR $GSKIT_BKUP_DIR
    fi

;;
-r)
    # Restore gskit dir
    rm -rf $GSKIT_DIR
    test -d $GSKIT_BKUP_DIR
    if [ $? = 0 ]
    then
        mv $GSKIT_BKUP_DIR $GSKIT_DIR
    fi
;;
-c)
    rm -rf $GSKIT_BKUP_DIR
;;
*)
    echo Option not supported
    exit 10
;;
esac

exit 0
